<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @package App\Models
 * @property int $id
 * @property int $service_id
 * @property int $problem_id
 */
class ServiceProblem extends Model
{
    use HasFactory;

    protected $table = 'service_problems';

    protected $fillable = [
        'service_id',
        'problem_id',
    ];

    public function service()
    {
        return $this->belongsTo(Service::class);
    }

    public function problem()
    {
        return $this->belongsTo(Problem::class);
    }
}
